USRP Hardware Driver and USRP Manual: uhd::property_tree Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::property_tree Class Referenceabstract

`#include <uhd/property_tree.hpp>`

Inheritance diagram for uhd::property_tree:

## Public Types
enum | coerce_mode_t { AUTO_COERCE , MANUAL_COERCE }
typedef std::shared_ptr< property_tree > | sptr

## Public Member Functions
virtual | ~property_tree (void)=0
virtual sptr | subtree (const fs_path &path) const =0
| Get a subtree with a new root starting at path.
virtual void | remove (const fs_path &path)=0
| Remove a property or directory (recursive).
virtual bool | exists (const fs_path &path) const =0
| True if the path exists in the tree.
virtual std::vector< std::string > | list (const fs_path &path) const =0
| Get an iterable to all things in the given path.
template<typename T>
property< T > & | create (const fs_path &path, coerce_mode_t coerce_mode=AUTO_COERCE)
| Create a new property entry in the tree.
template<typename T>
property< T > & | access (const fs_path &path)
| Get access to a property in the tree.
template<typename T>
std::shared_ptr< property< T > > | pop (const fs_path &path)
| Pop a property off the tree, and returns the property.

## Static Public Member Functions
static sptr | make (void)
| Create a new + empty property tree.

## Detailed Description

The property tree provides a file system structure for accessing properties.

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<property_tree> uhd::property_tree::sptr

## Member Enumeration Documentation

## ◆ coerce_mode_t

enum uhd::property_tree::coerce_mode_t

Enumerator
AUTO_COERCE |
MANUAL_COERCE |

## Constructor & Destructor Documentation

## ◆ ~property_tree()

virtual uhd::property_tree::~property_tree | ( | void |  | ) |
| pure virtual

## Member Function Documentation

## ◆ access()

template<typename T>

property< T > & uhd::property_tree::access | ( | const fs_path & | path | ) |

Get access to a property in the tree.

## ◆ create()

template<typename T>

property< T > & uhd::property_tree::create | ( | const fs_path & | path,
|  | coerce_mode_t | coerce_mode = AUTO_COERCE )

Create a new property entry in the tree.

## ◆ exists()

virtual bool uhd::property_tree::exists | ( | const fs_path & | path | ) | const
| pure virtual

True if the path exists in the tree.

## ◆ list()

virtual std::vector< std::string > uhd::property_tree::list | ( | const fs_path & | path | ) | const
| pure virtual

Get an iterable to all things in the given path.

## ◆ make()

sptr uhd::property_tree::make | ( | void |  | ) |
| static

Create a new + empty property tree.

## ◆ pop()

template<typename T>

std::shared_ptr< property< T > > uhd::property_tree::pop | ( | const fs_path & | path | ) |

Pop a property off the tree, and returns the property.

## ◆ remove()

virtual void uhd::property_tree::remove | ( | const fs_path & | path | ) |
| pure virtual

Remove a property or directory (recursive).

## ◆ subtree()

virtual sptr uhd::property_tree::subtree | ( | const fs_path & | path | ) | const
| pure virtual

Get a subtree with a new root starting at path.

The documentation for this class was generated from the following files:

- property_tree.hpp
- property_tree.ipp